## libgav1 0.16.0

=== CMakeLists.txt ===
# Copyright 2019 The libgav1 Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# libgav1 requires modern CMake.
cmake_minimum_required(VERSION 3.7.1 FATAL_ERROR)

# libgav1 requires C++11.
set(CMAKE_CXX_STANDARD 11)
set(ABSL_CXX_STANDARD 11)

project(libgav1 CXX)

set(libgav1_root "${CMAKE_CURRENT_SOURCE_DIR}")
set(libgav1_build "${CMAKE_BINARY_DIR}")

if("${libgav1_root}" STREQUAL "${libgav1_build}")
  message(
    FATAL_ERROR
      "Building from within the libgav1 source tree is not supported.\n"
      "Hint: Run these commands\n" "$ rm -rf CMakeCache.txt CMakeFiles\n"
      "$ mkdir -p ../libgav1_build\n" "$ cd ../libgav1_build\n"
      "And re-run CMake from the libgav1_build directory.")
endif()

set(libgav1_examples "${libgav1_root}/examples")
set(libgav1_source "${libgav1_root}/src")

include(FindThreads)

include("${libgav1_examples}/libgav1_examples.cmake")
include("${libgav1_root}/cmake/libgav1_build_definitions.cmake")
include("${libgav1_root}/cmake/libgav1_cpu_detection.cmake")
include("${libgav1_root}/cmake/libgav1_flags.cmake")
include("${libgav1_root}/cmake/libgav1_helpers.cmake")
include("${libgav1_root}/cmake/libgav1_install.cmake")
include("${libgav1_root}/cmake/libgav1_intrinsics.cmake")
include("${libgav1_root}/cmake/libgav1_options.cmake")
include("${libgav1_root}/cmake/libgav1_sanitizer.cmake")
include("${libgav1_root}/cmake/libgav1_targets.cmake")
include("${libgav1_root}/cmake/libgav1_variables.cmake")
include("${libgav1_source}/dsp/libgav1_dsp.cmake")
include("${libgav1_source}/libgav1_decoder.cmake")
include("${libgav1_source}/utils/libgav1_utils.cmake")

libgav1_option(NAME LIBGAV1_ENABLE_OPTIMIZATIONS HELPSTRING
               "Enables optimized code." VALUE ON)
libgav1_option(NAME LIBGAV1_ENABLE_AVX2 HELPSTRING
               "Enables avx2 optimizations." VALUE ON)
libgav1_option(NAME LIBGAV1_ENABLE_NEON HELPSTRING "Enables neon optimizations."
               VALUE ON)
libgav1_option(NAME LIBGAV1_ENABLE_SSE4_1 HELPSTRING
               "Enables sse4.1 optimizations." VALUE ON)
libgav1_option(
  NAME LIBGAV1_VERBOSE HELPSTRING
  "Enables verbose build system output. Higher numbers are more verbose." VALUE
  OFF)

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

libgav1_optimization_detect()
libgav1_set_build_definitions()
libgav1_set_cxx_flags()
libgav1_configure_sanitizer()

# Supported bit depth.
libgav1_track_configuration_variable(LIBGAV1_MAX_BITDEPTH)

# C++ and linker flags.
libgav1_track_configuration_variable(LIBGAV1_CXX_FLAGS)
libgav1_track_configuration_variable(LIBGAV1_EXE_LINKER_FLAGS)

# Sanitizer integration.
libgav1_track_configuration_variable(LIBGAV1_SANITIZE)

# Generated source file directory.
libgav1_track_configuration_variable(LIBGAV1_GENERATED_SOURCES_DIRECTORY)

# Controls use of std::mutex and absl::Mutex in ThreadPool.
libgav1_track_configuration_variable(LIBGAV1_THREADPOOL_USE_STD_MUTEX)

if(LIBGAV1_VERBOSE)
  libgav1_dump_cmake_flag_variables()
  libgav1_dump_tracked_configuration_variables()
  libgav1_dump_options()
endif()

set(libgav1_abseil_build "${libgav1_build}/abseil")
set(libgav1_gtest_build "${libgav1_build}/gtest")

# Compiler/linker flags must be lists, but come in from the environment as
# strings. Break them up:
if(NOT "${LIBGAV1_CXX_FLAGS}" STREQUAL "")
  separate_arguments(LIBGAV1_CXX_FLAGS)
endif()
if(NOT "${LIBGAV1_EXE_LINKER_FLAGS}" STREQUAL "")
  separate_arguments(LIBGAV1_EXE_LINKER_FLAGS)
endif()

add_subdirectory("${libgav1_root}/third_party/abseil-cpp"
                 "${libgav1_abseil_build}" EXCLUDE_FROM_ALL)

libgav1_reset_target_lists()
libgav1_add_dsp_targets()
libgav1_add_decoder_targets()
libgav1_add_examples_targets()
libgav1_add_utils_targets()
libgav1_setup_install_target()

if(LIBGAV1_VERBOSE)
  libgav1_dump_cmake_flag_variables()
  libgav1_dump_tracked_configuration_variables()
  libgav1_dump_options()
endif()

=== debian/changelog ===
libgav1 (0.16.0-5~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 20 Feb 2021 01:15:42 -0500

libgav1 (0.16.0-5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * debian/symbols: Dropped to ease backport. 

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Nov 2020 16:58:10 -0500

libgav1 (0.16.0-5) unstable; urgency=medium

  * Team upload.
  * debian/libgav1-0.symbols: Refresh symbols again.

 -- Boyuan Yang <byang@debian.org>  Sun, 08 Nov 2020 20:38:23 -0500

libgav1 (0.16.0-4) unstable; urgency=medium

  * Team upload.
  * debian/libgav1-0.symbols: Try to distinguish by symbol bits. 
  * debian/rules: Also explicitly disable AVX2 per baseline.

 -- Boyuan Yang <byang@debian.org>  Sat, 31 Oct 2020 12:26:14 -0400

libgav1 (0.16.0-3) unstable; urgency=medium

  * Team upload.
  * debian/libgav1-0.symbols: refresh symbols.
  * debian/rules: Adjust build flags to meet Debian's ISA baseline
    requirement.

 -- Boyuan Yang <byang@debian.org>  Fri, 30 Oct 2020 23:02:37 -0400

libgav1 (0.16.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Update package description to remove mentions
    of advanced build flags since we are not enabling them.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Oct 2020 10:19:44 -0400

libgav1 (0.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #973288)

 -- qinxialei <xialeiqin@gmail.com>  Wed, 28 Oct 2020 17:35:33 +0800

=== debian/control ===
Source: libgav1
Section: libs
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: qinxialei <xialeiqin@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.7.1),
 libabsl-dev,
Standards-Version: 4.5.0
Homepage: https://chromium.googlesource.com/codecs/libgav1/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git
Rules-Requires-Root: no

Package: libgav1-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AV1 decoder developed by Google -- runtime library
 This package contains the runtime, shared library of gav1. Gav1 is
 a new decoder implementation for AV1 video encoding format (supporting
 profiles 0 and 1).

Package: libgav1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgav1-0 (= ${binary:Version})
Description: AV1 decoder developed by Google -- development kit
 This package contains the header file and development library of gav1.
 Gav1 is A new decoder implementation for AV1 video encoding format (supporting
 profiles 0 and 1).

Package: libgav1-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Av1 decoder developed by Google -- example application
 This package provides gav1_decode binary as an example application of
 libgav1. It can be used to decode IVF files.
 .
 Please see the output of "gav1_decode --help" for detailed options.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CXXFLAGS += $(CPPFLAGS)

EXTRA_CONFIG_FLAGS = 

# try to fix FTBFS on mipsel
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

# Conform to Debian's baseline requirement
# https://wiki.debian.org/ArchitectureSpecificsMemo

ifneq (,$(filter $(DEB_HOST_ARCH), i386 amd64 x32))
  EXTRA_CONFIG_FLAGS += -DLIBGAV1_ENABLE_SSE4_1=0 -DLIBGAV1_ENABLE_AVX2=0
endif

ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
  EXTRA_CONFIG_FLAGS += -DLIBGAV1_ENABLE_NEON=0
endif

ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
  EXTRA_CONFIG_FLAGS += -DLIBGAV1_ENABLE_NEON=1
endif



%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DBUILD_SHARED_LIBS=ON \
	    $(EXTRA_CONFIG_FLAGS)

## libgav1 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,8 +18,10 @@
 # libgav1 requires C++11.
 set(CMAKE_CXX_STANDARD 11)
 set(ABSL_CXX_STANDARD 11)
+# libgav1 requires C99.
+set(CMAKE_C_STANDARD 99)
 
-project(libgav1 CXX)
+project(libgav1 CXX C)
 
 set(libgav1_root "${CMAKE_CURRENT_SOURCE_DIR}")
 set(libgav1_build "${CMAKE_BINARY_DIR}")
@@ -36,6 +38,32 @@
 set(libgav1_examples "${libgav1_root}/examples")
 set(libgav1_source "${libgav1_root}/src")
 
+include("${libgav1_root}/cmake/libgav1_options.cmake")
+
+libgav1_option(NAME LIBGAV1_ENABLE_OPTIMIZATIONS HELPSTRING
+               "Enables optimized code." VALUE ON)
+libgav1_option(NAME LIBGAV1_ENABLE_AVX2 HELPSTRING "Enables avx2 optimizations."
+               VALUE ON)
+libgav1_option(NAME LIBGAV1_ENABLE_NEON HELPSTRING "Enables neon optimizations."
+               VALUE ON)
+libgav1_option(NAME LIBGAV1_ENABLE_SSE4_1 HELPSTRING
+               "Enables sse4.1 optimizations." VALUE ON)
+libgav1_option(NAME LIBGAV1_ENABLE_TESTS HELPSTRING "Enables tests." VALUE ON)
+libgav1_option(
+  NAME LIBGAV1_VERBOSE HELPSTRING
+  "Enables verbose build system output. Higher numbers are more verbose." VALUE
+  OFF)
+
+if(NOT CMAKE_BUILD_TYPE)
+  set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Enable generators like Xcode and Visual Studio to place projects in folders.
+get_property(use_folders_is_set GLOBAL PROPERTY USE_FOLDERS SET)
+if(NOT use_folders_is_set)
+  set_property(GLOBAL PROPERTY USE_FOLDERS TRUE)
+endif()
+
 include(FindThreads)
 
 include("${libgav1_examples}/libgav1_examples.cmake")
@@ -45,30 +73,13 @@
 include("${libgav1_root}/cmake/libgav1_helpers.cmake")
 include("${libgav1_root}/cmake/libgav1_install.cmake")
 include("${libgav1_root}/cmake/libgav1_intrinsics.cmake")
-include("${libgav1_root}/cmake/libgav1_options.cmake")
 include("${libgav1_root}/cmake/libgav1_sanitizer.cmake")
 include("${libgav1_root}/cmake/libgav1_targets.cmake")
 include("${libgav1_root}/cmake/libgav1_variables.cmake")
+include("${libgav1_root}/tests/libgav1_tests.cmake")
 include("${libgav1_source}/dsp/libgav1_dsp.cmake")
 include("${libgav1_source}/libgav1_decoder.cmake")
 include("${libgav1_source}/utils/libgav1_utils.cmake")
-
-libgav1_option(NAME LIBGAV1_ENABLE_OPTIMIZATIONS HELPSTRING
-               "Enables optimized code." VALUE ON)
-libgav1_option(NAME LIBGAV1_ENABLE_AVX2 HELPSTRING
-               "Enables avx2 optimizations." VALUE ON)
-libgav1_option(NAME LIBGAV1_ENABLE_NEON HELPSTRING "Enables neon optimizations."
-               VALUE ON)
-libgav1_option(NAME LIBGAV1_ENABLE_SSE4_1 HELPSTRING
-               "Enables sse4.1 optimizations." VALUE ON)
-libgav1_option(
-  NAME LIBGAV1_VERBOSE HELPSTRING
-  "Enables verbose build system output. Higher numbers are more verbose." VALUE
-  OFF)
-
-if(NOT CMAKE_BUILD_TYPE)
-  set(CMAKE_BUILD_TYPE Release)
-endif()
 
 libgav1_optimization_detect()
 libgav1_set_build_definitions()
@@ -109,15 +120,36 @@
   separate_arguments(LIBGAV1_EXE_LINKER_FLAGS)
 endif()
 
-add_subdirectory("${libgav1_root}/third_party/abseil-cpp"
-                 "${libgav1_abseil_build}" EXCLUDE_FROM_ALL)
+# Set test-only flags based on LIBGAV1_CXX_FLAGS.
+libgav1_set_test_flags()
+
+set(libgav1_abseil "${libgav1_root}/third_party/abseil-cpp")
+if(NOT EXISTS "${libgav1_abseil}")
+  message(
+    FATAL_ERROR
+      "Abseil not found. This dependency is required by the"
+      " examples & tests and libgav1 when LIBGAV1_THREADPOOL_USE_STD_MUTEX is"
+      " not defined. To continue, download the Abseil repository to"
+      " third_party/abseil-cpp:\n  git \\\n    -C ${libgav1_root} \\\n"
+      "    clone \\\n"
+      "    https://github.com/abseil/abseil-cpp.git third_party/abseil-cpp")
+endif()
+set(ABSL_PROPAGATE_CXX_STD ON)
+add_subdirectory("${libgav1_abseil}" "${libgav1_abseil_build}" EXCLUDE_FROM_ALL)
 
 libgav1_reset_target_lists()
 libgav1_add_dsp_targets()
 libgav1_add_decoder_targets()
 libgav1_add_examples_targets()
+libgav1_add_tests_targets()
 libgav1_add_utils_targets()
 libgav1_setup_install_target()
+
+if(LIBGAV1_ENABLE_TESTS)
+  # include(CTest) or -DBUILD_TESTING=1 aren't used to avoid enabling abseil
+  # tests.
+  enable_testing()
+endif()
 
 if(LIBGAV1_VERBOSE)
   libgav1_dump_cmake_flag_variables()

=== debian/changelog ===
libgav1 (0.17.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Jul 2022 16:19:26 -0700

libgav1 (0.17.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Boyuan Yang ]
  * New upstream release 0.17.0. 

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:53:56 -0500

libgav1 (0.16.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to sid.

  [ qinxialei ]
  * d/copyright:
    + Update copyright

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 13:09:06 -0400

libgav1 (0.16.3-1~exp1) experimental; urgency=medium

  * New upstream version 0.16.3
  * d/control:
    + Bump Standards-Version to 4.5.1.
  * d/patches:
    + Update patch:Unbundling-abseil.patch
  * d/copyright:
    + Update copyright

 -- qinxialei <xialeiqin@gmail.com>  Thu, 22 Apr 2021 10:35:22 +0800

=== debian/control ===
Source: libgav1
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: qinxialei <xialeiqin@gmail.com>
Build-Depends: cmake (>= 3.7.1), debhelper-compat (= 13), libabsl-dev
Standards-Version: 4.5.1
Homepage: https://chromium.googlesource.com/codecs/libgav1/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git
Rules-Requires-Root: no

Package: libgav1-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AV1 decoder developed by Google -- runtime library
 This package contains the runtime, shared library of gav1. Gav1 is
 a new decoder implementation for AV1 video encoding format (supporting
 profiles 0 and 1).

Package: libgav1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgav1-0 (= ${binary:Version}), ${misc:Depends}
Description: AV1 decoder developed by Google -- development kit
 This package contains the header file and development library of gav1.
 Gav1 is A new decoder implementation for AV1 video encoding format (supporting
 profiles 0 and 1).

Package: libgav1-bin
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Av1 decoder developed by Google -- example application
 This package provides gav1_decode binary as an example application of
 libgav1. It can be used to decode IVF files.
 .
 Please see the output of "gav1_decode --help" for detailed options.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 CXXFLAGS += $(CPPFLAGS)
 
-EXTRA_CONFIG_FLAGS = 
+EXTRA_CONFIG_FLAGS =
 
 # try to fix FTBFS on mipsel
 ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
@@ -33,10 +33,11 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -DBUILD_SHARED_LIBS=ON \
 	    $(EXTRA_CONFIG_FLAGS)
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## libgav1 0.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,8 @@
                VALUE ON)
 libgav1_option(NAME LIBGAV1_ENABLE_SSE4_1 HELPSTRING
                "Enables sse4.1 optimizations." VALUE ON)
+libgav1_option(NAME LIBGAV1_ENABLE_EXAMPLES HELPSTRING "Enables examples." VALUE
+               ON)
 libgav1_option(NAME LIBGAV1_ENABLE_TESTS HELPSTRING "Enables tests." VALUE ON)
 libgav1_option(
   NAME LIBGAV1_VERBOSE HELPSTRING
@@ -101,6 +103,12 @@
 
 # Controls use of std::mutex and absl::Mutex in ThreadPool.
 libgav1_track_configuration_variable(LIBGAV1_THREADPOOL_USE_STD_MUTEX)
+if((DEFINED
+    LIBGAV1_THREADPOOL_USE_STD_MUTEX
+    AND NOT LIBGAV1_THREADPOOL_USE_STD_MUTEX)
+   OR NOT (DEFINED LIBGAV1_THREADPOOL_USE_STD_MUTEX OR ANDROID OR IOS))
+  set(use_absl_threading TRUE)
+endif()
 
 if(LIBGAV1_VERBOSE)
   libgav1_dump_cmake_flag_variables()
@@ -124,18 +132,22 @@
 libgav1_set_test_flags()
 
 set(libgav1_abseil "${libgav1_root}/third_party/abseil-cpp")
-if(NOT EXISTS "${libgav1_abseil}")
-  message(
-    FATAL_ERROR
-      "Abseil not found. This dependency is required by the"
-      " examples & tests and libgav1 when LIBGAV1_THREADPOOL_USE_STD_MUTEX is"
-      " not defined. To continue, download the Abseil repository to"
-      " third_party/abseil-cpp:\n  git \\\n    -C ${libgav1_root} \\\n"
-      "    clone \\\n"
-      "    https://github.com/abseil/abseil-cpp.git third_party/abseil-cpp")
+if(EXISTS "${libgav1_abseil}")
+  set(ABSL_PROPAGATE_CXX_STD ON)
+  add_subdirectory("${libgav1_abseil}" "${libgav1_abseil_build}"
+                   EXCLUDE_FROM_ALL)
+else()
+  if(use_absl_threading OR LIBGAV1_ENABLE_EXAMPLES OR LIBGAV1_ENABLE_TESTS)
+    message(
+      FATAL_ERROR
+        "Abseil not found. This dependency is required by the"
+        " examples & tests and libgav1 when LIBGAV1_THREADPOOL_USE_STD_MUTEX is"
+        " not defined. To continue, download the Abseil repository to"
+        " third_party/abseil-cpp:\n  git \\\n    -C ${libgav1_root} \\\n"
+        "    clone \\\n"
+        "    https://github.com/abseil/abseil-cpp.git third_party/abseil-cpp")
+  endif()
 endif()
-set(ABSL_PROPAGATE_CXX_STD ON)
-add_subdirectory("${libgav1_abseil}" "${libgav1_abseil_build}" EXCLUDE_FROM_ALL)
 
 libgav1_reset_target_lists()
 libgav1_add_dsp_targets()

=== debian/changelog ===
libgav1 (0.18.0-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules: Properly use pkgkde_symbolshelper dh plugin.
  * debian/control: Add build-dependency on pkg-kde-tools.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jul 2022 16:50:15 -0400

libgav1 (0.18.0-1~exp2) experimental; urgency=medium

  * debian/rules: Enable lto build.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Jul 2022 12:32:14 -0400

libgav1 (0.18.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.18.0. (Closes: #1014934)
  * Refresh patches.
  * debian/control: Bump Standards-Version to 4.6.1.
  * Bump SONAME: 0 -> 1, with library package rename.
  * debian/libgav1-1.symbols: Reset symbols.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Jul 2022 14:10:20 -0400

=== debian/control ===
Source: libgav1
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: qinxialei <xialeiqin@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.7.1),
 libabsl-dev,
 pkg-kde-tools,
Standards-Version: 4.6.1
Homepage: https://chromium.googlesource.com/codecs/libgav1/
Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git
Rules-Requires-Root: no

Package: libgav1-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AV1 decoder developed by Google -- runtime library
 This package contains the runtime, shared library of gav1. Gav1 is
 a new decoder implementation for AV1 video encoding format (supporting
 profiles 0 and 1).

Package: libgav1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgav1-1 (= ${binary:Version})
Description: AV1 decoder developed by Google -- development kit
 This package contains the header file and development library of gav1.
 Gav1 is A new decoder implementation for AV1 video encoding format (supporting
 profiles 0 and 1).

Package: libgav1-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Av1 decoder developed by Google -- example application
 This package provides gav1_decode binary as an example application of
 libgav1. It can be used to decode IVF files.
 .
 Please see the output of "gav1_decode --help" for detailed options.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 
 include /usr/share/dpkg/buildflags.mk
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 CXXFLAGS += $(CPPFLAGS)
 
@@ -29,15 +29,10 @@
 endif
 
 
-
 %:
-	dh $@
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    -DBUILD_SHARED_LIBS=ON \
 	    $(EXTRA_CONFIG_FLAGS)
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
 https://chromium.googlesource.com/codecs/libgav1 \
 refs/tags/v([\d\.]+) debian uupdate

## libgav1 0.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -144,7 +144,7 @@
         " examples & tests and libgav1 when LIBGAV1_THREADPOOL_USE_STD_MUTEX is"
         " not defined. To continue, download the Abseil repository to"
         " third_party/abseil-cpp:\n  git \\\n    -C ${libgav1_root} \\\n"
-        "    clone \\\n"
+        "    clone -b 20220623.0 --depth 1 \\\n"
         "    https://github.com/abseil/abseil-cpp.git third_party/abseil-cpp")
   endif()
 endif()

=== debian/changelog ===
libgav1 (0.19.0-3) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add architecture-is-little-endian to build dependencies.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 3.7.1).

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Dec 2024 13:58:32 +0100

libgav1 (0.19.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable (Closes: #1068180)
  * debian/patches: Temporarily disable cpu test

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Apr 2024 15:14:00 +0200

libgav1 (0.19.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches/0001-Unbundle-abseil.patch: Refresh the patch.
  * debian/patches/0002-Use-system-googletest.patch: Try to enable
    googletest.
  * debian/patches/0003-Use-C-14.patch: Force C++14 standard to avoid
    FTBFS with googletest.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Nov 2023 23:17:46 -0500

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: qinxialei <xialeiqin@gmail.com>
 Build-Depends:
+ architecture-is-little-endian,
  debhelper-compat (= 13),
- cmake (>= 3.7.1),
+ cmake,
  libabsl-dev,
  pkg-kde-tools,
-Standards-Version: 4.6.1
+ googletest <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://chromium.googlesource.com/codecs/libgav1/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git

## libgav1 0.20.0

=== debian/changelog ===
libgav1 (0.20.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 28 Dec 2025 23:33:00 +0100

libgav1 (0.20.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.20.0
  * SONAME bump: libgav1-1 -> libgav1-2
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
  * debian/patches: Require C++17 (Closes: #1114172)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Dec 2025 12:22:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,12 @@
  libabsl-dev,
  pkg-kde-tools,
  googletest <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://chromium.googlesource.com/codecs/libgav1/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgav1
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgav1.git
-Rules-Requires-Root: no
 
-Package: libgav1-1
+Package: libgav1-2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -29,7 +28,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libgav1-1 (= ${binary:Version})
+Depends: ${misc:Depends}, libgav1-2 (= ${binary:Version})
 Description: AV1 decoder developed by Google -- development kit
  This package contains the header file and development library of gav1.
  Gav1 is A new decoder implementation for AV1 video encoding format (supporting
